Show Posts

This section allows you to view all posts made by this member. Note that you can only see posts made in areas you currently have access to.


Messages - babadmin

Pages: 1 2 3 [4] 5 6 ... 10
46
General discussion about BabaCAD / Re: Zoom issue
« on: August 08, 2018, 05:50:37 am »
Zoom has to be smooth, when using middle scroll wheel. In your case I think it is mouse related issue, and scroll wheel is to sensitive. Try to change scroll wheel settings (how much lines to scroll; try set to 1) in Windows->Settings->Devices->Mouse & Touchpad. You can also try BabaCAD command 'zoom/real time' and test zoom by holding left mouse button and moving the mouse up/down.

47
Here is the video of how to add radius/diameter dimension to circle entity.

https://youtu.be/FFlIj9KmZaQ

48
General discussion about BabaCAD / Re: Can't open dwg drawing
« on: April 01, 2018, 09:54:28 am »
If you have BabaCAD freeware version (all BabaCAD versions in years 2012-2017), you can open only .dwg drawings <R2007 and dxf files.

If you need to work with all .dwg drawings (R12,R13,R2000,R2004,R2007,R2010,R2013,and now R2018), you have to purchase BabaCAD Home or Enterprise Edition (BabaCAD HE/EE 2018).

49
General discussion about BabaCAD / Re: Uninstall BabaCAD V. 1.3.4
« on: February 01, 2018, 02:10:53 pm »
Your comment is ridiculous. First of all, you are telling that it does not work for you, but I gave  the link of screenshot which is proof that BabaCAD reads your dxf correctly. Second, you’re using Adobe illustrator which does not relate to CAD in any sense. You too wrote how it saved one simple circle (that has to be one CIRCLE entity) as number of arc parts. I found simple spline as block of blocks nested hundred times. It’s very funny to discuss about this. Here is screenshot of your dxf again:

http://www.babacad.com/upload/snapshots/KabeltraegerOhne-BabaCAD.jpg

New update of BabaCAD 2018 Enterprise (will be available from end of February 2018)  will read/write all dwg versions, even new AutoCAD R2018 dwg format..

50
General discussion about BabaCAD / Re: Lisp for Area and Perimeter
« on: November 30, 2017, 10:34:53 am »
I hardly found that CAD software, LTplus, and it looks good, but not quite cheap (1780 Euro). I will add _AREA and _PERIMETER commands and that lisp will work. There are no Area and Perimeter commands right now, but area and perimeter can be found at BabaCAD Properties window (length value is actually perimeter).

51
This is solution:

(Defun HALF (/ a b c d)
(SETQ A (GETPOINT "\nFirst Point ")
B (GETPOINT A "\nOther Point "))
(POLAR A (ANGLE A B)(/ (DISTANCE A B) 2)))
(defun c:m2p (/)
(setq c (half))
(setq d (getpoint "Line second point: "))
(command "line" c d ""))

52
I don't understand you quite well. You get (0,0) point cause it's second point parameter. If you want some other point, just change that. For example: (command "line" point1 point2 ""). point1 and point2 are variables or fix values as list '(x y).

You have to look at a command and how it's working in the command line. In same way you provide parameters for (command "commandName" param1 param2 ....). So, line has minimum two points as parameters. You can provide more points to generate more lines. At the end, there must be "" to tell that "line" command has to stop.

53
General discussion about BabaCAD / Re: m2p funtion as transparent funktion?
« on: November 25, 2017, 08:31:39 pm »
BabaCAD already has Osnap for midpoint, for Line and Arc objects. I will just extend that for polylines. Everyone who want can put your m2p.lsp to bcad.mnu (in Support folder) to load that lisp at startup, so it will function same as a built-in command.

54
You have bug in your m2p.lsp cause your second point parameter is bad and third parameter must be "" (to specify end of command, as line command does not end until last space or enter key).

You have three parameters: (half) 0.0 0.0, but 0.0 0.0 must be enclosed in parenthesis like this '(0.0 0.0) or "0.0 0.0". Also, "line" command must have "" at the end. So, your m2p.lsp must look like this:

(Defun HALF (/ a b)
(SETQ A (GETPOINT "\nFirst Point ")
B (GETPOINT A "\nOther Point "))
(POLAR A (ANGLE A B)(/ (DISTANCE A B) 2)))
(defun c:m2p (/)
(command "line" (half) '(0.0 0.0) ""))

55
It can do all same in BabaCAD too. I just gave example with block insert (command "insert"), but you can use any command.
If you want use mid point for line, than put (command "line" (half) '(25 30) "") , and this will draw line with startPoint= [midpoint as output calculated from func 'half'] and lastPoint=[some point ex. 25,30], or you can put some other variable instead of exact value for second point.

56
Copy this to m2p.lsp file

(Defun HALF (/ a b)
(SETQ A (GETPOINT "\nFirst Point ")
B (GETPOINT A "\nOther Point "))
(POLAR A (ANGLE A B)(/ (DISTANCE A B) 2)))
(defun c:m2p (/)
(command "insert" "b1" (half) 1.0 0.0))


Block named 'b1' must exists in drawing before starting command 'm2p' in BabaCAD. I've tested this lisp with success.

57
(Defun c:HALF (/ a b)
(SETQ A (GETPOINT "\nFirst Point ")
B (GETPOINT A "\nOther Point "))
(POLAR A (ANGLE A B)(/ (DISTANCE A B) 2)))

then appload, choose half.lsp and type half at command line. That's it.

Updated: I fixed bug in getpoint lisp function (reference point is ok now). Just go download latest Update 2 (21th November late night CETime) from http://www.babacad.com/ext

58
I check it, and it works (one small bug is that first point cursor is 0,0, lisp does not get A point as a start, but it's just visual effect, result of mid point is correct).

You get mid point as list in result of function. Also, to run this as a lisp command in command line you have to add 'c:' in front of HALF function name in this lisp or run as lisp function directly in BabaCAD command line (using brackets), like this (HALF).

59
This is fixed. It's in BabaCAD 2017 Update 2.

60
General discussion about BabaCAD / Re: Simple staircase Lisp
« on: November 21, 2017, 02:38:41 pm »
Thanks for this lisp. Latest Update of BabaCAD has a lot of improvements. PLINEJOIN now works. You can, for example, after 'esce' lisp command, run PLINEJOIN, select first stair polyline and then select whole stairs (all polylines) to make stairs to be one polyline object. New update also has parallel osnap, circle construct from 2P,3P, tangents and many more. This version (BabaCAD 2017 Update 2) is optimized to work fast with large and complex drawings (with hundreds of thousands of entities).

I fixed many bugs and added many new features in this update (read news list after download). Currently, Update 2 is beta, so it must be downloaded from Extension Modules section - http://www.babacad.com/ext). For a few days, after some tests, it will be available for download from main page (64-bit download).

Now I will have a time to improve lisp interpreter for Update 3. I will try to add more lisp functions and fix existing bugs.
For all users, please attach your working lisps here for other users. Also, if you have lisps that do not work in BabaCAD, please attach them also, and I will try to modify it to get it work in BabaCAD (maybe I find bug in Lisp interpreter and fix it for new Update).

Pages: 1 2 3 [4] 5 6 ... 10